<div class="row mt-2">
    <div class="col-4">
        <input type="text" class="form-control input" name="date" placeholder="mm-dd-yyyy"
        [value]="value"
        [disabled]="isDisabled"
        (keyup)="onInput($event.target.value)">
    </div>
</div>